summaryrefslogtreecommitdiff
path: root/package/ntp/S49ntp
diff options
context:
space:
mode:
authorPeter Korsgaard <jacmet@sunsite.dk>2011-02-04 20:00:35 +0100
committerPeter Korsgaard <jacmet@sunsite.dk>2011-02-04 20:00:35 +0100
commitd0352edeea629349a0ce497e53cb6ce34feacac0 (patch)
tree6af67b4f9bf9ec7ac53c39109c27f9c8b58c3c43 /package/ntp/S49ntp
parent14a971ab6c47324dd1422b1787c393702b2d475c (diff)
ntp: only install init script if ntpd is enabled
Further more: - Rename to S49ntp to match other packages - Fix start target to run ntpd, and only try ntpdate if available Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
Diffstat (limited to 'package/ntp/S49ntp')
-rwxr-xr-xpackage/ntp/S49ntp51
1 files changed, 51 insertions, 0 deletions
diff --git a/package/ntp/S49ntp b/package/ntp/S49ntp
new file mode 100755
index 000000000..7b929e949
--- /dev/null
+++ b/package/ntp/S49ntp
@@ -0,0 +1,51 @@
+#! /bin/sh
+#
+# System-V init script for the openntp daemon
+#
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DESC="network time protocol daemon"
+NAME=ntpd
+DAEMON=/usr/sbin/$NAME
+NTPDATE_BIN=/usr/bin/ntpdate
+
+# Gracefully exit if the package has been removed.
+test -x $DAEMON || exit 0
+
+# Read config file if it is present.
+if [ -r /etc/default/$NAME ]
+then
+ . /etc/default/$NAME
+fi
+
+case "$1" in
+ start)
+ if [ -x $NTPDATE_BIN ] ; then
+ echo -n "Getting initial time via ntp"
+ $NTPDATE_BIN $NTPDATE_OPTS $NTPSERVERS > /dev/null 2>&1
+ echo "."
+ fi
+
+ echo -n "Starting $DESC: $NAME"
+ start-stop-daemon -S -q -x $DAEMON
+ echo "."
+ ;;
+ stop) echo -n "Stopping $DESC: $NAME"
+ start-stop-daemon -K -q -n $NAME
+ echo "."
+ ;;
+ reload|force-reload) echo -n "Reloading $DESC configuration..."
+ start-stop-daemon -K -q -n $NAME -s 1
+ echo "done."
+ ;;
+ restart) echo "Restarting $DESC: $NAME"
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *) echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0